Index: /trunk/bp-core/bp-core-loader.php
===================================================================
--- /trunk/bp-core/bp-core-loader.php	(revision 7450)
+++ /trunk/bp-core/bp-core-loader.php	(revision 7451)
@@ -2,7 +2,7 @@
 
 /**
- * BuddyPress Core Loader
- *
- * Core contains the commonly used functions, classes, and API's
+ * BuddyPress Core Loader.
+ *
+ * Core contains the commonly used functions, classes, and APIs.
  *
  * @package BuddyPress
@@ -16,7 +16,7 @@
 
 	/**
-	 * Start the members component creation process
-	 *
-	 * @since BuddyPress (1.5)
+	 * Start the members component creation process.
+	 *
+	 * @since BuddyPress (1.5.0)
 	 *
 	 * @uses BP_Core::bootstrap()
@@ -33,10 +33,10 @@
 
 	/**
-	 * Populate the global data needed before BuddyPress can continue
+	 * Populate the global data needed before BuddyPress can continue.
 	 *
 	 * This involves figuring out the currently required, active, deactive,
 	 * and optional components.
 	 *
-	 * @since BuddyPress (1.5)
+	 * @since BuddyPress (1.5.0)
 	 */
 	private function bootstrap() {
@@ -109,4 +109,11 @@
 	}
 
+	/**
+	 * Include bp-core files.
+	 *
+	 * @see BP_Component::includes() for description of parameters.
+	 *
+	 * @param array $includes See {@link BP_Component::includes()}.
+	 */
 	public function includes( $includes = array() ) {
 
@@ -122,8 +129,14 @@
 
 	/**
+	 * Set up bp-core global settings.
+	 *
 	 * Sets up a majority of the BuddyPress globals that require a minimal
 	 * amount of processing, meaning they cannot be set in the BuddyPress class.
 	 *
-	 * @since BuddyPress (1.5)
+	 * @since BuddyPress (1.5.0)
+	 *
+	 * @see BP_Component::setup_globals() for description of parameters.
+	 *
+	 * @param array $args See {@link BP_Component::setup_globals()}.
 	 */
 	public function setup_globals( $args = array() ) {
@@ -185,9 +198,16 @@
 
 	/**
-	 * Setup BuddyBar navigation
-	 *
-	 * @since BuddyPress (1.5)
-	 */
-	public function setup_nav( $main_nav = array(), $sub_nav = array() ) {
+	 * Set up component navigation.
+	 *
+	 * @since BuddyPress (1.5.0)
+	 *
+	 * @see BP_Component::setup_nav() for a description of arguments.
+	 *
+	 * @param array $main_nav Optional. See BP_Component::setup_nav() for
+	 *        description.
+	 * @param array $sub_nav Optional. See BP_Component::setup_nav() for
+	 *        description.
+	 */
+         public function setup_nav( $main_nav = array(), $sub_nav = array() ) {
 		$bp = buddypress();
 
@@ -228,9 +248,9 @@
 
 /**
- * Setup the BuddyPress Core component
- *
- * @since BuddyPress (1.6)
- *
- * @global BuddyPress $bp
+ * Set up the BuddyPress Core component.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @global BuddyPress $bp BuddyPress global settings object.
  */
 function bp_setup_core() {
Index: /trunk/bp-core/bp-core-moderation.php
===================================================================
--- /trunk/bp-core/bp-core-moderation.php	(revision 7450)
+++ /trunk/bp-core/bp-core-moderation.php	(revision 7451)
@@ -1,9 +1,9 @@
 <?php
 /**
- * BuddyPress Moderation Functions
+ * BuddyPress Moderation Functions.
  *
  * @package BuddyPress
  * @subpackage Core
- * @since BuddyPress (1.6)
+ * @since BuddyPress (1.6.0)
  */
 
@@ -14,16 +14,18 @@
 
 /**
- * Check for flooding
+ * Check for flooding.
  *
  * Check to make sure that a user is not making too many posts in a short amount
  * of time.
  *
- * @param int $user_id User id to check for flood
- * @return bool True if there is no flooding, true if there is
- * @since BuddyPress (1.6)
- * @uses current_user_can() To check if the current user can throttle
- * @uses bp_get_option() To get the throttle time
- * @uses get_transient() To get the last posted transient of the ip
- * @uses get_user_meta() To get the last posted meta of the user
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses current_user_can() To check if the current user can throttle.
+ * @uses bp_get_option() To get the throttle time.
+ * @uses get_transient() To get the last posted transient of the ip.
+ * @uses get_user_meta() To get the last posted meta of the user.
+ *
+ * @param int $user_id User id to check for flood.
+ * @return bool True if there is no flooding, false if there is.
  */
 function bp_core_check_for_flood( $user_id = 0 ) {
@@ -45,14 +47,16 @@
 
 /**
- * Check for moderation keys and too many links
- *
- * @param int $user_id Topic or reply author ID
- * @param string $title The title of the content
- * @param string $content The content being posted
- * @return bool True if test is passed, false if fail
- * @since BuddyPress (1.6)
- * @uses bp_current_author_ip() To get current user IP address
- * @uses bp_current_author_ua() To get current user agent
- * @uses bp_current_user_can() Allow super admins to bypass blacklist
+ * Check for moderation keys and too many links.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_current_author_ip() To get current user IP address.
+ * @uses bp_current_author_ua() To get current user agent.
+ * @uses bp_current_user_can() Allow super admins to bypass blacklist.
+ *
+ * @param int $user_id Topic or reply author ID.
+ * @param string $title The title of the content.
+ * @param string $content The content being posted.
+ * @return bool True if test is passed, false if fail.
  */
 function bp_core_check_for_moderation( $user_id = 0, $title = '', $content = '' ) {
@@ -151,14 +155,16 @@
 
 /**
- * Checks for blocked keys
- *
- * @param int $user_id Topic or reply author ID
- * @param string $title The title of the content
- * @param string $content The content being posted
- * @return bool True if test is passed, false if fail
- * @uses bp_current_author_ip() To get current user IP address
- * @uses bp_current_author_ua() To get current user agent
- * @uses bp_current_user_can() Allow super admins to bypass blacklist
- * @since BuddyPress (1.6)
+ * Check for blocked keys.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_current_author_ip() To get current user IP address.
+ * @uses bp_current_author_ua() To get current user agent.
+ * @uses bp_current_user_can() Allow super admins to bypass blacklist.
+ *
+ * @param int $user_id Topic or reply author ID.
+ * @param string $title The title of the content.
+ * @param string $content The content being posted.
+ * @return bool True if test is passed, false if fail.
  */
 function bp_core_check_for_blacklist( $user_id = 0, $title = '', $content = '' ) {
@@ -239,8 +245,9 @@
 
 /**
- * Get the current-user IP address
- *
- * @return string
- * @since BuddyPress (1.6)
+ * Get the current user's IP address.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @return string IP address.
  */
 function bp_core_current_user_ip() {
@@ -251,8 +258,9 @@
 
 /**
- * Get the current-user user-agent
- *
- * @return string
- * @since BuddyPress (1.6)
+ * Get the current user's user-agent.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @return string User agent string.
  */
 function bp_core_current_user_ua() {
Index: /trunk/bp-core/bp-core-options.php
===================================================================
--- /trunk/bp-core/bp-core-options.php	(revision 7450)
+++ /trunk/bp-core/bp-core-options.php	(revision 7451)
@@ -2,5 +2,5 @@
 
 /**
- * BuddyPress Options
+ * BuddyPress Options.
  *
  * @package BuddyPress
@@ -12,9 +12,9 @@
 
 /**
- * Get the default site options and their values
- *
- * @since BuddyPress (1.6)
- *
- * @return array Filtered option names and values
+ * Get the default site options and their values.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @return array Filtered option names and values.
  */
 function bp_get_default_options() {
@@ -87,14 +87,16 @@
 
 /**
- * Add default options
+ * Add default options when BuddyPress is first activated.
  *
  * Hooked to bp_activate, it is only called once when BuddyPress is activated.
  * This is non-destructive, so existing settings will not be overridden.
  *
- * @since BuddyPress (1.6)
- *
- * @uses bp_get_default_options() To get default options
- * @uses add_option() Adds default options
- * @uses do_action() Calls 'bp_add_options'
+ * Currently unused.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_get_default_options() To get default options.
+ * @uses add_option() Adds default options.
+ * @uses do_action() Calls 'bp_add_options'.
  */
 function bp_add_options() {
@@ -112,14 +114,16 @@
 
 /**
- * Delete default options
+ * Delete default options.
  *
  * Hooked to bp_uninstall, it is only called once when BuddyPress is uninstalled.
  * This is destructive, so existing settings will be destroyed.
  *
- * @since BuddyPress (1.6)
- *
- * @uses bp_get_default_options() To get default options
- * @uses delete_option() Removes default options
- * @uses do_action() Calls 'bp_delete_options'
+ * Currently unused.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_get_default_options() To get default options.
+ * @uses delete_option() Removes default options.
+ * @uses do_action() Calls 'bp_delete_options'.
  */
 function bp_delete_options() {
@@ -137,12 +141,13 @@
 
 /**
- * Add filters to each BuddyPress option and allow them to be overloaded from
- * inside the $bp->options array.
- *
- * @since BuddyPress (1.6)
- *
- * @uses bp_get_default_options() To get default options
- * @uses add_filter() To add filters to 'pre_option_{$key}'
- * @uses do_action() Calls 'bp_add_option_filters'
+ * Add filters to each BP option, allowing them to be overloaded from inside the $bp->options array.
+ *
+ * Currently unused.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_get_default_options() To get default options.
+ * @uses add_filter() To add filters to 'pre_option_{$key}'.
+ * @uses do_action() Calls 'bp_add_option_filters'.
  */
 function bp_setup_option_filters() {
@@ -160,6 +165,7 @@
 
 /**
- * Filter default options and allow them to be overloaded from inside the
- * $bp->options array.
+ * Filter default options and allow them to be overloaded from inside the $bp->options array.
+ *
+ * Currently unused.
  *
  * @since BuddyPress (1.6)
@@ -187,18 +193,19 @@
 
 /**
- * Retrieve an option
- *
- * This is a wrapper for get_blog_option(), which in turn stores settings data (such as bp-pages)
- * on the appropriate blog, given your current setup.
+ * Retrieve an option.
+ *
+ * This is a wrapper for {@link get_blog_option()}, which in turn stores settings data
+ * (such as bp-pages) on the appropriate blog, given your current setup.
  *
  * The 'bp_get_option' filter is primarily for backward-compatibility.
  *
- * @package BuddyPress
- * @since BuddyPress (1.5)
+ * @since BuddyPress (1.5.0)
  *
  * @uses bp_get_root_blog_id()
- * @param string $option_name The option to be retrieved
- * @param string $default Optional. Default value to be returned if the option isn't set
- * @return mixed The value for the option
+ *
+ * @param string $option_name The option to be retrieved.
+ * @param string $default Optional. Default value to be returned if the option
+ *        isn't set. See {@link get_blog_option()}.
+ * @return mixed The value for the option.
  */
 function bp_get_option( $option_name, $default = '' ) {
@@ -209,15 +216,16 @@
 
 /**
- * Save an option
- *
- * This is a wrapper for update_blog_option(), which in turn stores settings data (such as bp-pages)
- * on the appropriate blog, given your current setup.
- *
- * @package BuddyPress
- * @since BuddyPress (1.5)
+ * Save an option.
+ *
+ * This is a wrapper for {@link update_blog_option()}, which in turn stores
+ * settings data (such as bp-pages) on the appropriate blog, given your current
+ * setup.
+ *
+ * @since BuddyPress (1.5.0)
  *
  * @uses bp_get_root_blog_id()
- * @param string $option_name The option key to be set
- * @param string $value The value to be set
+ *
+ * @param string $option_name The option key to be set.
+ * @param string $value The value to be set.
  */
 function bp_update_option( $option_name, $value ) {
@@ -226,14 +234,15 @@
 
 /**
- * Delete an option
- *
- * This is a wrapper for delete_blog_option(), which in turn deletes settings data (such as
- * bp-pages) on the appropriate blog, given your current setup.
- *
- * @package BuddyPress
- * @since BuddyPress (1.5)
+ * Delete an option.
+ *
+ * This is a wrapper for {@link delete_blog_option()}, which in turn deletes
+ * settings data (such as bp-pages) on the appropriate blog, given your current
+ * setup.
+ *
+ * @since BuddyPress (1.5.0)
  *
  * @uses bp_get_root_blog_id()
- * @param string $option_name The option key to be set
+ *
+ * @param string $option_name The option key to be deleted.
  */
 function bp_delete_option( $option_name ) {
@@ -242,11 +251,12 @@
 
 /**
- * When switching from single to multisite we need to copy blog options to
- * site options.
- *
- * This function is no longer used
- *
- * @package BuddyPress Core
- * @deprecated Since BuddyPress (1.6)
+ * Copy BP options from a single site to multisite config.
+ *
+ * Run when switching from single to multisite and we need to copy blog options
+ * to site options.
+ *
+ * This function is no longer used.
+ *
+ * @deprecated 1.6.0
  */
 function bp_core_activate_site_options( $keys = array() ) {
@@ -275,10 +285,13 @@
 
 /**
+ * Fetch global BP options.
+ *
  * BuddyPress uses common options to store configuration settings. Many of these
  * settings are needed at run time. Instead of fetching them all and adding many
  * initial queries to each page load, let's fetch them all in one go.
  *
- * @package BuddyPress Core
- * @todo Use settings API and audit these methods
+ * @todo Use settings API and audit these methods.
+ *
+ * @return array $root_blog_options_meta List of options.
  */
 function bp_core_get_root_options() {
@@ -376,10 +389,11 @@
  * Is profile sycing disabled?
  *
- * @since BuddyPress (1.6)
- *
- * @param bool $default Optional.Default value true
- *
- * @uses bp_get_option() To get the profile sync option
- * @return bool Is profile sync enabled or not
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_get_option() To get the profile sync option.
+ *
+ * @param bool $default Optional. Fallback value if not found in the database.
+ *        Default: true.
+ * @return bool True if profile sync is enabled, otherwise false.
  */
 function bp_disable_profile_sync( $default = true ) {
@@ -390,10 +404,12 @@
  * Is the Toolbar hidden for logged out users?
  *
- * @since BuddyPress (1.6)
- *
- * @param bool $default Optional.Default value true
- *
- * @uses bp_get_option() To get the logged out Toolbar option
- * @return bool Is logged out Toolbar enabled or not
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_get_option() To get the logged out Toolbar option.
+ *
+ * @param bool $default Optional. Fallback value if not found in the database.
+ *        Default: true.
+ * @return bool True if the admin bar should be hidden for logged-out users,
+ *         otherwise false.
  */
 function bp_hide_loggedout_adminbar( $default = true ) {
@@ -404,10 +420,11 @@
  * Are members able to upload their own avatars?
  *
- * @since BuddyPress (1.6)
- *
- * @param bool $default Optional. Default value true
- *
- * @uses bp_get_option() To get the avatar uploads option
- * @return bool Are avatar uploads allowed?
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_get_option() To get the avatar uploads option.
+ *
+ * @param bool $default Optional. Fallback value if not found in the database.
+ *        Default: true.
+ * @return bool True if avatar uploads are disabled, otherwise false.
  */
 function bp_disable_avatar_uploads( $default = true ) {
@@ -418,10 +435,12 @@
  * Are members able to delete their own accounts?
  *
- * @since BuddyPress (1.6)
- *
- * @param bool $default Optional. Default value
- *
- * @uses bp_get_option() To get the account deletion option
- * @return bool Is account deletion allowed?
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_get_option() To get the account deletion option.
+ *
+ * @param bool $default Optional. Fallback value if not found in the database.
+ *        Default: true.
+ * @return bool True if users are able to delete their own accounts, otherwise
+ *         false.
  */
 function bp_disable_account_deletion( $default = false ) {
@@ -432,10 +451,13 @@
  * Are blog and forum activity stream comments disabled?
  *
- * @since BuddyPress (1.6)
- *
- * @param bool $default Optional. Default value false
- * @todo split and move into blog and forum components
- * @uses bp_get_option() To get the blog/forum comments option
- * @return bool Is blog/forum comments allowed?
+ * @since BuddyPress (1.6.0)
+ *
+ * @todo split and move into blog and forum components.
+ * @uses bp_get_option() To get the blog/forum comments option.
+ *
+ * @param bool $default Optional. Fallback value if not found in the database.
+ *        Default: false.
+ * @return bool True if activity comments are disabled for blog and forum
+ *         items, otherwise false.
  */
 function bp_disable_blogforum_comments( $default = false ) {
@@ -446,11 +468,12 @@
  * Is group creation turned off?
  *
- * @since BuddyPress (1.6)
- *
- * @param bool $default Optional. Default value true
- *
- * @todo Move into groups component
- * @uses bp_get_option() To get the group creation
- * @return bool Allow group creation?
+ * @since BuddyPress (1.6.0)
+ *
+ * @todo Move into groups component.
+ * @uses bp_get_option() To get the group creation.
+ *
+ * @param bool $default Optional. Fallback value if not found in the database.
+ *        Default: true.
+ * @return bool True if group creation is restricted, otherwise false.
  */
 function bp_restrict_group_creation( $default = true ) {
@@ -459,13 +482,13 @@
 
 /**
- * Have we migrated to using the WordPress Toolbar?
- *
- * @since BuddyPress (1.6)
- *
- * @param bool $default Optional. Default value true
- *
- * @todo Move into groups component
- * @uses bp_get_option() To get the WP editor option
- * @return bool Use WP editor?
+ * Should the old BuddyBar be forced in place of the WP admin bar?
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_get_option() To get the BuddyBar option.
+ *
+ * @param bool $default Optional. Fallback value if not found in the database.
+ *        Default: true.
+ * @return bool True if the BuddyBar should be forced on, otherwise false.
  */
 function bp_force_buddybar( $default = true ) {
@@ -474,9 +497,9 @@
 
 /**
- * Output the group forums root parent forum id
- *
- * @since BuddyPress (1.6)
- *
- * @param bool $default Optional. Default value
+ * Output the group forums root parent forum id.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @param bool $default Optional. Default: '0'.
  */
 function bp_group_forums_root_id( $default = '0' ) {
@@ -484,12 +507,12 @@
 }
 	/**
-	 * Return the group forums root parent forum id
+	 * Return the group forums root parent forum id.
 	 *
-	 * @since BuddyPress (1.6)
+	 * @since BuddyPress (1.6.0)
 	 *
-	 * @param bool $default Optional. Default value 0
+	 * @uses bp_get_option() To get the root forum ID from the database.
 	 *
-	 * @uses bp_get_option() To get the maximum title length
-	 * @return int Is anonymous posting allowed?
+	 * @param bool $default Optional. Default: '0'.
+	 * @return int The ID of the group forums root forum.
 	 */
 	function bp_get_group_forums_root_id( $default = '0' ) {
@@ -498,12 +521,13 @@
 
 /**
- * Checks if BuddyPress Group Forums are enabled
- *
- * @since BuddyPress (1.6)
- *
- * @param bool $default Optional. Default value true
- *
- * @uses bp_get_option() To get the group forums option
- * @return bool Is group forums enabled or not
+ * Check whether BuddyPress Group Forums are enabled.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_get_option() To get the group forums option.
+ *
+ * @param bool $default Optional. Fallback value if not found in the database.
+ *        Default: true.
+ * @return bool True if group forums are active, otherwise false.
  */
 function bp_is_group_forums_active( $default = true ) {
@@ -512,12 +536,13 @@
 
 /**
- * Checks if Akismet is enabled
- *
- * @since BuddyPress (1.6)
- *
- * @param bool $default Optional. Default value true
- *
- * @uses bp_get_option() To get the Akismet option
- * @return bool Is Akismet enabled or not
+ * Check whether Akismet is enabled.
+ *
+ * @since BuddyPress (1.6.0)
+ *
+ * @uses bp_get_option() To get the Akismet option.
+ *
+ * @param bool $default Optional. Fallback value if not found in the database.
+ *        Default: true.
+ * @return bool True if Akismet is enabled, otherwise false.
  */
 function bp_is_akismet_active( $default = true ) {
@@ -526,11 +551,13 @@
 
 /**
- * Get the current theme package ID
- *
- * @since BuddyPress (1.7)
- *
- * @param string $default Optional. Default value 'default'
- * @uses get_option() To get the subtheme option
- * @return string ID of the subtheme
+ * Get the current theme package ID.
+ *
+ * @since BuddyPress (1.7.0)
+ *
+ * @uses get_option() To get the theme package option.
+ *
+ * @param bool $default Optional. Fallback value if not found in the database.
+ *        Default: 'legacy'.
+ * @return string ID of the theme package.
  */
 function bp_get_theme_package_id( $default = 'legacy' ) {