Index: /trunk/bp-notifications/bp-notifications-template.php
===================================================================
--- /trunk/bp-notifications/bp-notifications-template.php	(revision 7525)
+++ /trunk/bp-notifications/bp-notifications-template.php	(revision 7526)
@@ -512,4 +512,93 @@
 
 /**
+ * Output the timestamp of the current notification.
+ *
+ * @since BuddyPress (1.9.0)
+ */
+function bp_the_notification_time_since() {
+	echo bp_get_the_notification_time_since();
+}
+	/**
+	 * Return the timestamp of the current notification.
+	 *
+	 * @since BuddyPress (1.9.0)
+	 *
+	 * @return string Timestamp of the current notification.
+	 */
+	function bp_get_the_notification_time_since() {
+		return apply_filters( 'bp_get_the_notification_time_since', bp_core_time_since( bp_get_the_notification_date_notified() ) );
+	}
+
+/**
+ * Output full-text description for a specific notification.
+ *
+ * @since BuddyPress (1.9.0)
+ */
+function bp_the_notification_description() {
+	echo bp_get_the_notification_description();
+}
+
+	/**
+	 * Get full-text description for a specific notification.
+	 *
+	 * @since BuddyPress (1.9.0)
+	 *
+	 * @return string
+	 */
+	function bp_get_the_notification_description() {
+
+		// Setup local variables
+		$description  = '';
+		$bp           = buddypress();
+		$notification = $bp->notifications->query_loop->notification;
+
+		// Skip inactive components
+		if ( ! bp_is_active( $notification->component_name ) ) {
+			return;
+		}
+
+		// Callback function exists
+		if ( isset( $bp->{ $notification->component_name }->notification_callback ) && is_callable( $bp->{ $notification->component_name }->notification_callback ) ) {
+			$description = call_user_func( $bp->{ $notification->component_name }->notification_callback, $notification->component_action, $notification->item_id, $notification->secondary_item_id, 1 );
+
+		// @deprecated format_notification_function - 1.5
+		} elseif ( isset( $bp->{ $notification->component_name }->format_notification_function ) && function_exists( $bp->{ $notification->component_name }->format_notification_function ) ) {
+			$description = call_user_func( $bp->{ $notification->component_name }->format_notification_function, $notification->component_action, $notification->item_id, $notification->secondary_item_id, 1 );
+		}
+
+		// Filter and return
+		return apply_filters( 'bp_get_the_notification_description', $description );
+	}
+
+/**
+ * Output the action links for the current notification.
+ *
+ * @since BuddyPress (1.9.0)
+ */
+function bp_the_notification_action_links() {
+	echo bp_get_the_notification_action_links();
+}
+	/**
+	 * Return the action links for the current notification.
+	 *
+	 * @since BuddyPress (1.9.0)
+	 *
+	 * @return string HTML links for actions to take on single notifications.
+	 */
+	function bp_get_the_notification_action_links() {
+
+		// Setup the return value
+		$retval = '';
+
+		// Start the output buffer
+		ob_start();
+
+		// Get and empty the output buffer
+		$retval = ob_get_clean();
+
+		return apply_filters( 'bp_get_the_notification_action_links', $retval );
+	}
+
+/**
  * Output the pagination count for the current notification loop.
  *
Index: /trunk/bp-templates/bp-legacy/buddypress/members/single/notifications/notifications-loop.php
===================================================================
--- /trunk/bp-templates/bp-legacy/buddypress/members/single/notifications/notifications-loop.php	(revision 7525)
+++ /trunk/bp-templates/bp-legacy/buddypress/members/single/notifications/notifications-loop.php	(revision 7526)
@@ -7,7 +7,7 @@
 	<tr>
 		<td></td>
-		<td><?php bp_the_notification_component_action(); ?></td>
-		<td><?php echo bp_core_get_userlink( bp_get_the_notification_item_id() ); ?></td>
-		<td><?php echo bp_core_time_since( bp_get_the_notification_date_notified() ); ?></td>
+		<td><?php bp_the_notification_description(); ?></td>
+		<td><?php bp_the_notification_time_since(); ?></td>
+		<td><?php bp_the_notification_action_links(); ?></td>
 	</tr>
 
Index: /trunk/bp-templates/bp-legacy/buddypress/members/single/notifications/read.php
===================================================================
--- /trunk/bp-templates/bp-legacy/buddypress/members/single/notifications/read.php	(revision 7525)
+++ /trunk/bp-templates/bp-legacy/buddypress/members/single/notifications/read.php	(revision 7526)
@@ -11,11 +11,11 @@
 	</div>
 
-	<table class="notification-settings">
+	<table class="notifications">
 		<thead>
 			<tr>
 				<th class="icon"></th>
 				<th class="title"><?php _e( 'Notification', 'buddypress' ) ?></th>
-				<th class="title"><?php _e( 'Member',       'buddypress' ) ?></th>
 				<th class="date"><?php _e( 'Date Received', 'buddypress' ) ?></th>
+				<th class="actions"><?php _e( 'Actions',    'buddypress' ); ?></th>
 			</tr>
 		</thead>
Index: /trunk/bp-templates/bp-legacy/buddypress/members/single/notifications/unread.php
===================================================================
--- /trunk/bp-templates/bp-legacy/buddypress/members/single/notifications/unread.php	(revision 7525)
+++ /trunk/bp-templates/bp-legacy/buddypress/members/single/notifications/unread.php	(revision 7526)
@@ -11,11 +11,11 @@
 	</div>
 
-	<table class="notification-settings">
+	<table class="notifications">
 		<thead>
 			<tr>
 				<th class="icon"></th>
-				<th class="title"><?php _e( 'Notification', 'buddypress' ) ?></th>
-				<th class="title"><?php _e( 'Member',        'buddypress' ) ?></th>
-				<th class="date"><?php _e( 'Date Received', 'buddypress' ) ?></th>
+				<th class="title"><?php _e( 'Notification', 'buddypress' ); ?></th>
+				<th class="date"><?php _e( 'Date Received', 'buddypress' ); ?></th>
+				<th class="actions"><?php _e( 'Actions',    'buddypress' ); ?></th>
 			</tr>
 		</thead>