Index: /trunk/bp-languages/buddypress.pot
===================================================================
--- /trunk/bp-languages/buddypress.pot	(revision 7960)
+++ /trunk/bp-languages/buddypress.pot	(revision 7961)
@@ -5,5 +5,5 @@
 "Project-Id-Version: BuddyPress \n"
 "Report-Msgid-Bugs-To: http://wppolyglots.wordpress.com\n"
-"POT-Creation-Date: 2014-02-21 18:35:16+00:00\n"
+"POT-Creation-Date: 2014-02-21 23:35:16+00:00\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -315,6 +315,6 @@
 #: bp-forums/bp-forums-template.php:2112 bp-groups/bp-groups-admin.php:1392
 #: bp-themes/bp-default/functions.php:509 bp-xprofile/bp-xprofile-admin.php:456
-#: bp-xprofile/bp-xprofile-loader.php:200
-#: bp-xprofile/bp-xprofile-loader.php:260
+#: bp-xprofile/bp-xprofile-loader.php:201
+#: bp-xprofile/bp-xprofile-loader.php:279
 msgid "Edit"
 msgstr ""
@@ -658,5 +658,5 @@
 #: bp-themes/bp-default/groups/single/admin.php:185
 #: bp-themes/bp-default/groups/single/admin.php:212
-#: bp-xprofile/bp-xprofile-loader.php:292
+#: bp-xprofile/bp-xprofile-loader.php:325
 msgid "Profile picture of %s"
 msgstr ""
@@ -834,6 +834,6 @@
 #: bp-themes/bp-default/activity/entry.php:37
 #: bp-themes/bp-default/functions.php:166
-#: bp-xprofile/bp-xprofile-loader.php:190
-#: bp-xprofile/bp-xprofile-loader.php:252
+#: bp-xprofile/bp-xprofile-loader.php:191
+#: bp-xprofile/bp-xprofile-loader.php:271
 msgid "View"
 msgstr ""
@@ -1107,4 +1107,6 @@
 #: bp-core/admin/bp-core-components.php:32
 #: bp-core/admin/bp-core-settings.php:281 bp-core/admin/bp-core-slugs.php:32
+#: bp-templates/bp-legacy/buddypress/members/single/settings/profile.php:38
+#: bp-themes/bp-default/members/single/settings/profile.php:88
 msgid "Save Settings"
 msgstr ""
@@ -1515,4 +1517,5 @@
 
 #: bp-core/bp-core-admin.php:286
+#: bp-themes/bp-default/members/single/settings/profile.php:49
 msgid "Profile Settings"
 msgstr ""
@@ -2006,6 +2009,8 @@
 
 #: bp-core/bp-core-loader.php:231 bp-members/bp-members-admin.php:689
-#: bp-members/bp-members-loader.php:179 bp-xprofile/bp-xprofile-loader.php:169
-#: bp-xprofile/bp-xprofile-loader.php:244
+#: bp-members/bp-members-loader.php:179 bp-xprofile/bp-xprofile-loader.php:170
+#: bp-xprofile/bp-xprofile-loader.php:231
+#: bp-xprofile/bp-xprofile-loader.php:263
+#: bp-xprofile/bp-xprofile-loader.php:303
 msgid "Profile"
 msgstr ""
@@ -2186,5 +2191,5 @@
 #: bp-themes/bp-default/activity/post-form.php:45
 #: bp-themes/bp-default/members/single/profile/profile-wp.php:8
-#: bp-xprofile/bp-xprofile-loader.php:287
+#: bp-xprofile/bp-xprofile-loader.php:320
 msgid "My Profile"
 msgstr ""
@@ -2685,5 +2690,5 @@
 msgstr ""
 
-#: bp-friends/bp-friends-template.php:66 bp-xprofile/bp-xprofile-loader.php:129
+#: bp-friends/bp-friends-template.php:66 bp-xprofile/bp-xprofile-loader.php:130
 msgid "My Friends"
 msgstr ""
@@ -5855,6 +5860,6 @@
 #: bp-templates/bp-legacy/buddypress/members/single/profile/change-avatar.php:1
 #: bp-themes/bp-default/members/single/profile/change-avatar.php:1
-#: bp-xprofile/bp-xprofile-loader.php:212
-#: bp-xprofile/bp-xprofile-loader.php:269
+#: bp-xprofile/bp-xprofile-loader.php:213
+#: bp-xprofile/bp-xprofile-loader.php:288
 msgid "Change Avatar"
 msgstr ""
@@ -5964,4 +5969,9 @@
 #: bp-themes/bp-default/members/single/settings/notifications.php:54
 msgid "Send an email notice when:"
+msgstr ""
+
+#: bp-templates/bp-legacy/buddypress/members/single/settings/profile.php:13
+#: bp-themes/bp-default/members/single/settings/profile.php:63
+msgid "Visibility"
 msgstr ""
 
@@ -6653,13 +6663,13 @@
 msgstr ""
 
-#: bp-xprofile/bp-xprofile-loader.php:114
+#: bp-xprofile/bp-xprofile-loader.php:115
 msgid "Everyone"
 msgstr ""
 
-#: bp-xprofile/bp-xprofile-loader.php:118
+#: bp-xprofile/bp-xprofile-loader.php:119
 msgid "Only Me"
 msgstr ""
 
-#: bp-xprofile/bp-xprofile-loader.php:122
+#: bp-xprofile/bp-xprofile-loader.php:123
 msgid "All Members"
 msgstr ""
@@ -6677,4 +6687,12 @@
 msgstr ""
 
+#: bp-xprofile/bp-xprofile-settings.php:43
+msgid "Your profile settings have been saved."
+msgstr ""
+
+#: bp-xprofile/bp-xprofile-settings.php:47
+msgid "This member's profile settings have been saved."
+msgstr ""
+
 #: bp-xprofile/bp-xprofile-template.php:688
 msgid "January"
@@ -6736,2 +6754,6 @@
 msgid "Profile updated %s"
 msgstr ""
+
+#: bp-xprofile/bp-xprofile-template.php:1010
+msgid "This field's visibility cannot be changed."
+msgstr ""