Index: /trunk/bp-languages/buddypress.pot
===================================================================
--- /trunk/bp-languages/buddypress.pot	(revision 8119)
+++ /trunk/bp-languages/buddypress.pot	(revision 8120)
@@ -5,5 +5,5 @@
 "Project-Id-Version: BuddyPress \n"
 "Report-Msgid-Bugs-To: http://wppolyglots.wordpress.com\n"
-"POT-Creation-Date: 2014-03-12 21:35:17+00:00\n"
+"POT-Creation-Date: 2014-03-13 01:35:16+00:00\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -159,9 +159,10 @@
 
 #: bp-activity/bp-activity-admin.php:211 bp-activity/bp-activity-admin.php:258
-#: bp-core/admin/bp-core-functions.php:449
-#: bp-core/admin/bp-core-functions.php:467
-#: bp-core/admin/bp-core-functions.php:486
-#: bp-core/admin/bp-core-functions.php:505 bp-groups/bp-groups-admin.php:111
-#: bp-groups/bp-groups-admin.php:146 bp-members/bp-members-admin.php:321
+#: bp-core/admin/bp-core-functions.php:451
+#: bp-core/admin/bp-core-functions.php:469
+#: bp-core/admin/bp-core-functions.php:488
+#: bp-core/admin/bp-core-functions.php:507 bp-groups/bp-groups-admin.php:111
+#: bp-groups/bp-groups-admin.php:146 bp-members/bp-members-admin.php:357
+#: bp-members/bp-members-admin.php:875
 msgid "Overview"
 msgstr ""
@@ -200,22 +201,23 @@
 
 #: bp-activity/bp-activity-admin.php:230 bp-activity/bp-activity-admin.php:275
-#: bp-core/admin/bp-core-functions.php:455
-#: bp-core/admin/bp-core-functions.php:473
-#: bp-core/admin/bp-core-functions.php:492
-#: bp-core/admin/bp-core-functions.php:511 bp-groups/bp-groups-admin.php:119
-#: bp-groups/bp-groups-admin.php:162 bp-members/bp-members-admin.php:330
-msgid "For more information:"
-msgstr ""
-
-#: bp-activity/bp-activity-admin.php:231
-msgid "<a href=\"http://codex.buddypress.org/buddypress-site-administration/managing-activity/\">Managing Activity</a>"
-msgstr ""
-
-#: bp-activity/bp-activity-admin.php:232 bp-activity/bp-activity-admin.php:276
 #: bp-core/admin/bp-core-functions.php:457
 #: bp-core/admin/bp-core-functions.php:475
 #: bp-core/admin/bp-core-functions.php:494
-#: bp-core/admin/bp-core-functions.php:513 bp-groups/bp-groups-admin.php:163
-#: bp-members/bp-members-admin.php:332
+#: bp-core/admin/bp-core-functions.php:513 bp-groups/bp-groups-admin.php:119
+#: bp-groups/bp-groups-admin.php:162 bp-members/bp-members-admin.php:366
+#: bp-members/bp-members-admin.php:896
+msgid "For more information:"
+msgstr ""
+
+#: bp-activity/bp-activity-admin.php:231
+msgid "<a href=\"http://codex.buddypress.org/buddypress-site-administration/managing-activity/\">Managing Activity</a>"
+msgstr ""
+
+#: bp-activity/bp-activity-admin.php:232 bp-activity/bp-activity-admin.php:276
+#: bp-core/admin/bp-core-functions.php:459
+#: bp-core/admin/bp-core-functions.php:477
+#: bp-core/admin/bp-core-functions.php:496
+#: bp-core/admin/bp-core-functions.php:515 bp-groups/bp-groups-admin.php:163
+#: bp-members/bp-members-admin.php:368 bp-members/bp-members-admin.php:897
 msgid "<a href=\"http://buddypress.org/support/\">Support Forums</a>"
 msgstr ""
@@ -303,6 +305,6 @@
 #. translators: Publish box date format, see http:php.net/date
 
-#: bp-activity/bp-activity-admin.php:679 bp-members/bp-members-admin.php:586
-#: bp-members/bp-members-admin.php:645
+#: bp-activity/bp-activity-admin.php:679 bp-members/bp-members-admin.php:622
+#: bp-members/bp-members-admin.php:681
 msgid "M j, Y @ G:i"
 msgstr ""
@@ -393,4 +395,5 @@
 
 #: bp-activity/bp-activity-admin.php:890 bp-groups/bp-groups-admin.php:645
+#: bp-members/bp-members-admin.php:1254
 msgid "Search results for &#8220;%s&#8221;"
 msgstr ""
@@ -405,4 +408,5 @@
 
 #: bp-activity/bp-activity-admin.php:918 bp-groups/bp-groups-admin.php:599
+#: bp-members/bp-members-admin.php:1379
 #: bp-templates/bp-legacy/buddypress/activity/entry.php:102
 #: bp-templates/bp-legacy/buddypress/forums/index.php:116
@@ -657,5 +661,5 @@
 #: bp-groups/bp-groups-template.php:2194 bp-groups/bp-groups-template.php:2203
 #: bp-groups/bp-groups-template.php:2212 bp-groups/bp-groups-template.php:3106
-#: bp-members/bp-members-buddybar.php:64 bp-members/bp-members-loader.php:220
+#: bp-members/bp-members-buddybar.php:64 bp-members/bp-members-loader.php:227
 #: bp-members/bp-members-template.php:520
 #: bp-members/bp-members-template.php:881
@@ -822,4 +826,8 @@
 #: bp-forums/bp-forums-template.php:2113 bp-groups/bp-groups-admin.php:1286
 #: bp-groups/bp-groups-admin.php:1399 bp-groups/bp-groups-template.php:1502
+#: bp-members/admin/bp-members-classes.php:148
+#: bp-members/admin/bp-members-classes.php:265
+#: bp-members/admin/bp-members-classes.php:451
+#: bp-members/admin/bp-members-classes.php:566
 #: bp-notifications/bp-notifications-template.php:826
 #: bp-templates/bp-legacy/buddypress/activity/comment.php:43
@@ -835,5 +843,5 @@
 #: bp-activity/bp-activity-template.php:2509
 #: bp-core/admin/bp-core-slugs.php:109 bp-core/admin/bp-core-slugs.php:172
-#: bp-core/bp-core-loader.php:242 bp-members/bp-members-loader.php:194
+#: bp-core/bp-core-loader.php:242 bp-members/bp-members-loader.php:201
 #: bp-members/bp-members-template.php:649
 #: bp-templates/bp-legacy/buddypress-functions.php:247
@@ -1107,5 +1115,5 @@
 
 #: bp-core/admin/bp-core-components.php:26
-#: bp-core/admin/bp-core-functions.php:387
+#: bp-core/admin/bp-core-functions.php:389
 msgid "Components"
 msgstr ""
@@ -1196,4 +1204,6 @@
 
 #: bp-core/admin/bp-core-components.php:189
+#: bp-members/admin/bp-members-classes.php:211
+#: bp-members/admin/bp-members-classes.php:514
 msgid "Select %s"
 msgstr ""
@@ -1290,4 +1300,8 @@
 
 #: bp-core/admin/bp-core-functions.php:272 bp-core/admin/bp-core-slugs.php:135
+#: bp-members/admin/bp-members-classes.php:256
+#: bp-members/admin/bp-members-classes.php:260
+#: bp-members/admin/bp-members-classes.php:559
+#: bp-members/admin/bp-members-classes.php:561
 #: bp-messages/bp-messages-template.php:655
 #: bp-templates/bp-legacy/buddypress/members/activate.php:29
@@ -1301,17 +1315,17 @@
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:303
+#: bp-core/admin/bp-core-functions.php:305
 msgid "The following active BuddyPress Components do not have associated WordPress Pages: %2$s. <a href=\"%1$s\">Repair</a>"
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:325
+#: bp-core/admin/bp-core-functions.php:327
 msgid "Each BuddyPress Component needs its own WordPress page. The following WordPress Pages have more than one component associated with them: %2$s. <a href=\"%1$s\">Repair</a>"
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:391 bp-core/admin/bp-core-slugs.php:26
+#: bp-core/admin/bp-core-functions.php:393 bp-core/admin/bp-core-slugs.php:26
 msgid "Pages"
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:395
+#: bp-core/admin/bp-core-functions.php:397
 #: bp-core/admin/bp-core-settings.php:272 bp-core/bp-core-admin.php:429
 #: bp-groups/bp-groups-loader.php:320 bp-groups/bp-groups-template.php:1484
@@ -1321,5 +1335,5 @@
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:408 bp-core/bp-core-template.php:395
+#: bp-core/admin/bp-core-functions.php:410 bp-core/bp-core-template.php:395
 #: bp-forums/bp-forums-loader.php:132 bp-forums/bp-forums-loader.php:199
 #: bp-forums/bp-forums-loader.php:240 bp-forums/bp-forums-screens.php:208
@@ -1329,37 +1343,37 @@
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:456
+#: bp-core/admin/bp-core-functions.php:458
 msgid "<a href=\"http://codex.buddypress.org/getting-started/configure-buddypress-components/#settings-buddypress-components\">Managing Components</a>"
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:474
+#: bp-core/admin/bp-core-functions.php:476
 msgid "<a href=\"http://codex.buddypress.org/getting-started/configure-buddypress-components/#settings-buddypress-pages\">Managing Pages</a>"
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:493
+#: bp-core/admin/bp-core-functions.php:495
 msgid "<a href=\"http://codex.buddypress.org/getting-started/configure-buddypress-components/#settings-buddypress-settings\">Managing Settings</a>"
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:512
+#: bp-core/admin/bp-core-functions.php:514
 msgid "<a href=\"http://codex.buddypress.org/getting-started/configure-buddypress-components/#users-profile-fields\">Managing Profile Fields</a>"
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:530
+#: bp-core/admin/bp-core-functions.php:532
 msgid "By default, all BuddyPress components are enabled. You can selectively disable any of the components by using the form. Your BuddyPress installation will continue to function. However, the features of the disabled components will no longer be accessible to anyone using the site."
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:534
+#: bp-core/admin/bp-core-functions.php:536
 msgid "BuddyPress Components use WordPress Pages for their root directory/archive pages. Here you can change the page associations for each active component."
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:538
+#: bp-core/admin/bp-core-functions.php:540
 msgid "Extra configuration settings."
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:542
+#: bp-core/admin/bp-core-functions.php:544
 msgid "Your users will distinguish themselves through their profile page. Create relevant profile fields that will show on each users profile.</br></br>Note: Any fields in the first group will appear on the signup page."
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:702 bp-core/bp-core-admin.php:205
+#: bp-core/admin/bp-core-functions.php:704 bp-core/bp-core-admin.php:205
 #: bp-core/bp-core-admin.php:206 bp-core/bp-core-admin.php:226
 #: bp-core/bp-core-admin.php:280
@@ -1367,32 +1381,32 @@
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:724
-#: bp-core/admin/bp-core-functions.php:733
+#: bp-core/admin/bp-core-functions.php:726
+#: bp-core/admin/bp-core-functions.php:735
 msgid "Logged-In"
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:727
-#: bp-core/admin/bp-core-functions.php:742
+#: bp-core/admin/bp-core-functions.php:729
+#: bp-core/admin/bp-core-functions.php:744
 msgid "Logged-Out"
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:734
+#: bp-core/admin/bp-core-functions.php:736
 msgid "<em>Logged-In</em> links are relative to the current user, and are not visible to visitors who are not logged in."
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:743
+#: bp-core/admin/bp-core-functions.php:745
 msgid "<em>Logged-Out</em> links are not visible to users who are logged in."
 msgstr ""
 
-#: bp-core/admin/bp-core-functions.php:753
+#: bp-core/admin/bp-core-functions.php:755
 msgid "Add to Menu"
 msgstr ""
 
-#: bp-core/admin/bp-core-schema.php:251
+#: bp-core/admin/bp-core-schema.php:256
 msgctxt "First field-group name"
 msgid "General"
 msgstr ""
 
-#: bp-core/admin/bp-core-schema.php:255
+#: bp-core/admin/bp-core-schema.php:260
 msgctxt "Display name field"
 msgid "Display Name"
@@ -1944,5 +1958,5 @@
 msgstr ""
 
-#: bp-core/bp-core-filters.php:351 bp-members/bp-members-functions.php:1606
+#: bp-core/bp-core-filters.php:351 bp-members/bp-members-functions.php:1667
 msgid ""
 "Thanks for registering! To complete the activation of your account please click the following link:\n"
@@ -1952,5 +1966,5 @@
 msgstr ""
 
-#: bp-core/bp-core-filters.php:352 bp-members/bp-members-functions.php:1607
+#: bp-core/bp-core-filters.php:352 bp-members/bp-members-functions.php:1668
 msgid "Activate Your Account"
 msgstr ""
@@ -1979,10 +1993,10 @@
 msgstr ""
 
-#: bp-core/bp-core-filters.php:446 bp-members/bp-members-screens.php:523
+#: bp-core/bp-core-filters.php:446 bp-members/bp-members-screens.php:519
 #: bp-themes/bp-default/registration/register.php:23
 msgid "Create an Account"
 msgstr ""
 
-#: bp-core/bp-core-filters.php:450 bp-members/bp-members-screens.php:531
+#: bp-core/bp-core-filters.php:450 bp-members/bp-members-screens.php:527
 #: bp-themes/bp-default/registration/activate.php:13
 msgid "Activate your Account"
@@ -2090,6 +2104,6 @@
 msgstr ""
 
-#: bp-core/bp-core-loader.php:231 bp-members/bp-members-admin.php:688
-#: bp-members/bp-members-loader.php:180 bp-xprofile/bp-xprofile-loader.php:170
+#: bp-core/bp-core-loader.php:231 bp-members/bp-members-admin.php:724
+#: bp-members/bp-members-loader.php:187 bp-xprofile/bp-xprofile-loader.php:170
 #: bp-xprofile/bp-xprofile-loader.php:231
 #: bp-xprofile/bp-xprofile-loader.php:263
@@ -2149,5 +2163,6 @@
 msgstr ""
 
-#: bp-core/bp-core-widgets.php:82
+#: bp-core/bp-core-widgets.php:82 bp-members/admin/bp-members-classes.php:127
+#: bp-members/admin/bp-members-classes.php:430
 #: bp-templates/bp-legacy/buddypress/members/register.php:32
 #: bp-themes/bp-default/registration/register.php:37
@@ -2204,5 +2219,5 @@
 #: bp-friends/bp-friends-widgets.php:92 bp-friends/bp-friends-widgets.php:180
 #: bp-groups/bp-groups-widgets.php:66 bp-groups/bp-groups-widgets.php:147
-#: bp-members/bp-members-admin.php:579
+#: bp-members/bp-members-admin.php:615
 msgid "Active"
 msgstr ""
@@ -2281,5 +2296,6 @@
 msgstr ""
 
-#: bp-core/deprecated/1.5.php:149
+#: bp-core/deprecated/1.5.php:149 bp-members/admin/bp-members-classes.php:128
+#: bp-members/admin/bp-members-classes.php:431
 #: bp-templates/bp-legacy/buddypress/members/single/profile/profile-wp.php:15
 #: bp-themes/bp-default/functions.php:643
@@ -3077,5 +3093,5 @@
 msgstr ""
 
-#: bp-groups/bp-groups-admin.php:596
+#: bp-groups/bp-groups-admin.php:596 bp-members/bp-members-admin.php:1375
 msgid "This action cannot be undone."
 msgstr ""
@@ -3748,5 +3764,5 @@
 msgstr ""
 
-#: bp-groups/bp-groups-screens.php:652 bp-members/bp-members-admin.php:443
+#: bp-groups/bp-groups-screens.php:652 bp-members/bp-members-admin.php:479
 #: bp-xprofile/bp-xprofile-actions.php:41
 msgid "There was a problem deleting that avatar, please try again."
@@ -4102,9 +4118,63 @@
 msgstr ""
 
-#: bp-members/bp-members-actions.php:51 bp-members/bp-members-admin.php:426
+#: bp-members/admin/bp-members-classes.php:102
+#: bp-members/admin/bp-members-classes.php:417
+#: bp-members/bp-members-admin.php:810
+msgctxt "signup users"
+msgid "Pending account <span class=\"count\">(%s)</span>"
+msgid_plural "Pending accounts <span class=\"count\">(%s)</span>"
+msgstr[0] ""
+msgstr[1] ""
+
+#: bp-members/admin/bp-members-classes.php:129
+#: bp-members/admin/bp-members-classes.php:432
+msgid "E-mail"
+msgstr ""
+
+#: bp-members/admin/bp-members-classes.php:130
+#: bp-members/admin/bp-members-classes.php:433
+msgid "Registered"
+msgstr ""
+
+#: bp-members/admin/bp-members-classes.php:131
+#: bp-members/admin/bp-members-classes.php:434
+msgid "Last Sent"
+msgstr ""
+
+#: bp-members/admin/bp-members-classes.php:132
+#: bp-members/admin/bp-members-classes.php:435
+msgid "# Times Emailed"
+msgstr ""
+
+#: bp-members/admin/bp-members-classes.php:143
+#: bp-members/admin/bp-members-classes.php:446
+msgctxt "Pending signup action"
+msgid "Activate"
+msgstr ""
+
+#: bp-members/admin/bp-members-classes.php:144
+#: bp-members/admin/bp-members-classes.php:447
+msgctxt "Pending signup action"
+msgid "Email"
+msgstr ""
+
+#: bp-members/admin/bp-members-classes.php:162
+#: bp-members/admin/bp-members-classes.php:465
+msgid "No pending accounts found."
+msgstr ""
+
+#: bp-members/admin/bp-members-classes.php:262
+#: bp-members/admin/bp-members-classes.php:563
+#: bp-settings/bp-settings-loader.php:106
+#: bp-settings/bp-settings-loader.php:179
+#: bp-themes/bp-default/functions.php:645
+msgid "Email"
+msgstr ""
+
+#: bp-members/bp-members-actions.php:51 bp-members/bp-members-admin.php:462
 msgid "User marked as spammer. Spam users are visible only to site admins."
 msgstr ""
 
-#: bp-members/bp-members-actions.php:53 bp-members/bp-members-admin.php:420
+#: bp-members/bp-members-actions.php:53 bp-members/bp-members-admin.php:456
 msgid "User removed as spammer."
 msgstr ""
@@ -4118,5 +4188,5 @@
 msgstr ""
 
-#: bp-members/bp-members-admin.php:163 bp-members/bp-members-admin.php:164
+#: bp-members/bp-members-admin.php:177 bp-members/bp-members-admin.php:178
 #: bp-members/bp-members-adminbar.php:100
 #: bp-xprofile/bp-xprofile-template.php:932
@@ -4125,113 +4195,268 @@
 msgstr ""
 
-#: bp-members/bp-members-admin.php:241
+#: bp-members/bp-members-admin.php:185 bp-members/bp-members-admin.php:186
+msgid "Manage Signups"
+msgstr ""
+
+#: bp-members/bp-members-admin.php:303
 msgid "WordPress Profile"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:242
+#: bp-members/bp-members-admin.php:304
 msgid "Community Profile"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:289
+#: bp-members/bp-members-admin.php:325
 msgid "No users were found"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:323
+#: bp-members/bp-members-admin.php:359
 msgid "This is the admin view of a user&#39;s profile."
 msgstr ""
 
-#: bp-members/bp-members-admin.php:324
+#: bp-members/bp-members-admin.php:360
 msgid "In the main column, you can edit the fields of the user&#39;s extended profile."
 msgstr ""
 
-#: bp-members/bp-members-admin.php:325
+#: bp-members/bp-members-admin.php:361
 msgid "In the right-hand column, you can update the user&#39;s status, delete the user&#39;s avatar, and view recent statistics."
 msgstr ""
 
-#: bp-members/bp-members-admin.php:331
+#: bp-members/bp-members-admin.php:367
 msgid "<a href=\"http://codex.buddypress.org/buddypress-site-administration/managing-user-profiles/\">Managing Profiles</a>"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:336
+#: bp-members/bp-members-admin.php:372
 msgctxt "members user-admin edit screen"
 msgid "Status"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:414
+#: bp-members/bp-members-admin.php:450
 msgid "Avatar was deleted successfully!"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:432
+#: bp-members/bp-members-admin.php:468
 msgid "Profile updated."
 msgstr ""
 
-#: bp-members/bp-members-admin.php:449
+#: bp-members/bp-members-admin.php:485
 msgid "User could not be removed as spammer."
 msgstr ""
 
-#: bp-members/bp-members-admin.php:455
+#: bp-members/bp-members-admin.php:491
 msgid "User could not be marked as spammer."
 msgstr ""
 
-#: bp-members/bp-members-admin.php:461
+#: bp-members/bp-members-admin.php:497
 msgid "An error occured while trying to update the profile."
 msgstr ""
 
-#: bp-members/bp-members-admin.php:467 bp-xprofile/bp-xprofile-screens.php:96
+#: bp-members/bp-members-admin.php:503 bp-xprofile/bp-xprofile-screens.php:96
 msgid "Please make sure you fill in all required fields in this profile field group before saving."
 msgstr ""
 
-#: bp-members/bp-members-admin.php:473 bp-xprofile/bp-xprofile-screens.php:142
+#: bp-members/bp-members-admin.php:509 bp-xprofile/bp-xprofile-screens.php:142
 msgid "There was a problem updating some of your profile information, please try again."
 msgstr ""
 
-#: bp-members/bp-members-admin.php:487
+#: bp-members/bp-members-admin.php:523
 msgid "&larr; Back to Users"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:496
+#: bp-members/bp-members-admin.php:532
 msgid "Edit User"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:498
+#: bp-members/bp-members-admin.php:534 bp-members/bp-members-admin.php:1248
 msgctxt "user"
 msgid "Add New"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:500
+#: bp-members/bp-members-admin.php:536 bp-members/bp-members-admin.php:1250
 msgctxt "user"
 msgid "Add Existing"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:535
+#: bp-members/bp-members-admin.php:571
 msgid "No user found with this ID. <a href=\"%s\">Go back and try again</a>."
 msgstr ""
 
-#: bp-members/bp-members-admin.php:562
+#: bp-members/bp-members-admin.php:598
 msgid "User account has not yet been activated"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:571
+#: bp-members/bp-members-admin.php:607
 msgid "View Profile"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:580
+#: bp-members/bp-members-admin.php:616
 msgid "Spammer"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:589
+#: bp-members/bp-members-admin.php:625
 msgid "Registered on: <strong>%1$s</strong>"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:598
+#: bp-members/bp-members-admin.php:634
 msgid "Update Profile"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:618 bp-xprofile/bp-xprofile-admin.php:881
+#: bp-members/bp-members-admin.php:654 bp-xprofile/bp-xprofile-admin.php:881
 msgid "%s has been marked as a spammer. All BuddyPress data associated with the user has been removed"
 msgstr ""
 
-#: bp-members/bp-members-admin.php:649
+#: bp-members/bp-members-admin.php:685
 msgid "Last active: <strong>%1$s</strong>"
+msgstr ""
+
+#: bp-members/bp-members-admin.php:871
+msgctxt "Pending Accounts per page (screen options)"
+msgid "Pending Accounts"
+msgstr ""
+
+#: bp-members/bp-members-admin.php:877
+msgid "This is the admininistration screen for pending accounts on your site."
+msgstr ""
+
+#: bp-members/bp-members-admin.php:878
+msgid "From the screen options, you can customize the displayed columns and the pagination of this screen."
+msgstr ""
+
+#: bp-members/bp-members-admin.php:879
+msgid "You can reorder the list of your pending accounts by clicking on the Username, E-mail or Registered column headers."
+msgstr ""
+
+#: bp-members/bp-members-admin.php:880
+msgid "Using the search form, you can find pending accounts more easily. The Username and E-mail fields will be included in the search."
+msgstr ""
+
+#: bp-members/bp-members-admin.php:885
+#: bp-templates/bp-legacy/buddypress/members/single/notifications/notifications-loop.php:7
+#: bp-themes/bp-default/members/single/notifications/notifications-loop.php:7
+msgid "Actions"
+msgstr ""
+
+#: bp-members/bp-members-admin.php:887
+msgid "Hovering over a row in the pending accounts list will display action links that allow you to manage pending accounts. You can perform the following actions:"
+msgstr ""
+
+#: bp-members/bp-members-admin.php:888
+msgid "\"Email\" takes you to the confirmation screen before being able to send the activation link to the desired pending account. You can only send the activation email once per day."
+msgstr ""
+
+#: bp-members/bp-members-admin.php:889
+msgid "\"Delete\" allows you to delete a pending account from your site. You will be asked to confirm this deletion."
+msgstr ""
+
+#: bp-members/bp-members-admin.php:890
+msgid "By clicking on a Username you will be able to activate a pending account from the confirmation screen."
+msgstr ""
+
+#: bp-members/bp-members-admin.php:891
+msgid "Bulk actions allow you to perform these 3 actions for the selected rows."
+msgstr ""
+
+#: bp-members/bp-members-admin.php:1043
+msgctxt "signup resent"
+msgid "%s activation email successfully sent! "
+msgid_plural "%s activation emails successfully sent! "
+msgstr[0] ""
+msgstr[1] ""
+
+#: bp-members/bp-members-admin.php:1054
+msgctxt "signup notsent"
+msgid "%s activation email was not sent."
+msgid_plural "%s activation emails were not sent."
+msgstr[0] ""
+msgstr[1] ""
+
+#: bp-members/bp-members-admin.php:1077
+msgctxt "signup resent"
+msgid "%s account successfully activated! "
+msgid_plural "%s accounts successfully activated! "
+msgstr[0] ""
+msgstr[1] ""
+
+#: bp-members/bp-members-admin.php:1088
+msgctxt "signup notsent"
+msgid "%s account was not activated."
+msgid_plural "%s accounts were not activated."
+msgstr[0] ""
+msgstr[1] ""
+
+#: bp-members/bp-members-admin.php:1111
+msgctxt "signup deleted"
+msgid "%s sign-up successfully deleted!"
+msgid_plural "%s sign-ups successfully deleted!"
+msgstr[0] ""
+msgstr[1] ""
+
+#: bp-members/bp-members-admin.php:1122
+msgctxt "signup notdeleted"
+msgid "%s sign-up was not deleted."
+msgid_plural "%s sign-ups were not deleted."
+msgstr[0] ""
+msgstr[1] ""
+
+#: bp-members/bp-members-admin.php:1145
+msgid "There was a problem sending the activation emails, please try again."
+msgstr ""
+
+#: bp-members/bp-members-admin.php:1152
+msgid "There was a problem activating accounts, please try again."
+msgstr ""
+
+#: bp-members/bp-members-admin.php:1159
+msgid "There was a problem deleting sign-ups, please try again."
+msgstr ""
+
+#: bp-members/bp-members-admin.php:1246
+msgid "Users"
+msgstr ""
+
+#: bp-members/bp-members-admin.php:1265
+msgid "Search Pending accounts"
+msgstr ""
+
+#: bp-members/bp-members-admin.php:1311
+msgid "Delete Pending Accounts"
+msgstr ""
+
+#: bp-members/bp-members-admin.php:1312
+msgid "You are about to delete the following account:"
+msgid_plural "You are about to delete the following accounts:"
+msgstr[0] ""
+msgstr[1] ""
+
+#: bp-members/bp-members-admin.php:1316
+msgid "Activate Pending Accounts"
+msgstr ""
+
+#: bp-members/bp-members-admin.php:1317
+msgid "You are about to activate the following account:"
+msgid_plural "You are about to activate the following accounts:"
+msgstr[0] ""
+msgstr[1] ""
+
+#: bp-members/bp-members-admin.php:1321
+msgid "Resend Activation Emails"
+msgstr ""
+
+#: bp-members/bp-members-admin.php:1322
+msgid "You are about to resend an activation email to the following account:"
+msgid_plural "You are about to resend activation emails to the following accounts:"
+msgstr[0] ""
+msgstr[1] ""
+
+#: bp-members/bp-members-admin.php:1361
+msgid "Last notified: %s"
+msgstr ""
+
+#: bp-members/bp-members-admin.php:1364
+msgid "(less than 24 hours ago)"
+msgstr ""
+
+#: bp-members/bp-members-admin.php:1378
+msgid "Confirm"
 msgstr ""
 
@@ -4278,4 +4503,13 @@
 msgstr ""
 
+#: bp-members/bp-members-classes.php:308
+msgid "<strong>ERROR</strong>: Couldn&#8217;t register you. Please contact the <a href=\"mailto:%s\">webmaster</a>."
+msgstr ""
+
+#: bp-members/bp-members-classes.php:510 bp-members/bp-members-classes.php:566
+#: bp-members/bp-members-classes.php:619
+msgid "the sign-up has already been activated."
+msgstr ""
+
 #: bp-members/bp-members-functions.php:939
 msgid "User last_activity data is no longer stored in usermeta. Use bp_get_user_last_activity() instead."
@@ -4287,5 +4521,5 @@
 
 #: bp-members/bp-members-functions.php:1112
-#: bp-members/bp-members-functions.php:1734
+#: bp-members/bp-members-functions.php:1795
 msgid "<strong>ERROR</strong>: Your account has been marked as a spammer."
 msgstr ""
@@ -4328,35 +4562,50 @@
 msgstr ""
 
-#: bp-members/bp-members-functions.php:1366
+#: bp-members/bp-members-functions.php:1373
 msgid "Sorry, that username already exists!"
 msgstr ""
 
-#: bp-members/bp-members-functions.php:1417
-msgid "<strong>ERROR</strong>: Couldn&#8217;t register you... please contact the <a href=\"mailto:%s\">webmaster</a> !"
-msgstr ""
-
-#: bp-members/bp-members-functions.php:1515
+#: bp-members/bp-members-functions.php:1492
+msgid "Invalid activation key."
+msgstr ""
+
+#: bp-members/bp-members-functions.php:1499
+msgid "The user is already active."
+msgstr ""
+
+#: bp-members/bp-members-functions.php:1501
+msgid "The site is already active."
+msgstr ""
+
 #: bp-members/bp-members-functions.php:1519
 msgid "Invalid activation key"
 msgstr ""
 
-#: bp-members/bp-members-functions.php:1556
+#: bp-members/bp-members-functions.php:1534
+msgid "Could not create user"
+msgstr ""
+
+#: bp-members/bp-members-functions.php:1548
+msgid "That username is already activated."
+msgstr ""
+
+#: bp-members/bp-members-functions.php:1617
 msgid "%s became a registered member"
 msgstr ""
 
-#: bp-members/bp-members-functions.php:1640
+#: bp-members/bp-members-functions.php:1701
 msgid "<strong>ERROR</strong>: Your account has not been activated. Check your email for the activation link."
 msgstr ""
 
-#: bp-members/bp-members-loader.php:75
+#: bp-members/bp-members-loader.php:76
 msgctxt "component directory title"
 msgid "Members"
 msgstr ""
 
-#: bp-members/bp-members-loader.php:79
+#: bp-members/bp-members-loader.php:80
 msgid "Search Members..."
 msgstr ""
 
-#: bp-members/bp-members-loader.php:215
+#: bp-members/bp-members-loader.php:222
 msgid "You"
 msgstr ""
@@ -4374,14 +4623,14 @@
 msgstr ""
 
-#: bp-members/bp-members-screens.php:265
+#: bp-members/bp-members-screens.php:261
 msgid "Your account is now active!"
 msgstr ""
 
-#: bp-members/bp-members-screens.php:526
+#: bp-members/bp-members-screens.php:522
 #: bp-themes/bp-default/registration/register.php:259
 msgid "Check Your Email To Activate Your Account!"
 msgstr ""
 
-#: bp-members/bp-members-screens.php:534
+#: bp-members/bp-members-screens.php:530
 #: bp-themes/bp-default/registration/activate.php:11
 msgid "Account Activated"
@@ -4830,10 +5079,4 @@
 #: bp-settings/bp-settings-loader.php:94 bp-settings/bp-settings-loader.php:171
 msgid "General"
-msgstr ""
-
-#: bp-settings/bp-settings-loader.php:106
-#: bp-settings/bp-settings-loader.php:179
-#: bp-themes/bp-default/functions.php:645
-msgid "Email"
 msgstr ""
 
@@ -5971,9 +6214,4 @@
 msgstr ""
 
-#: bp-templates/bp-legacy/buddypress/members/single/notifications/notifications-loop.php:7
-#: bp-themes/bp-default/members/single/notifications/notifications-loop.php:7
-msgid "Actions"
-msgstr ""
-
 #: bp-templates/bp-legacy/buddypress/members/single/profile/change-avatar.php:1
 #: bp-themes/bp-default/members/single/profile/change-avatar.php:1