Index: trunk/src/bp-groups/bp-groups-admin.php
===================================================================
--- trunk/src/bp-groups/bp-groups-admin.php	(revision 8426)
+++ trunk/src/bp-groups/bp-groups-admin.php	(revision 8427)
@@ -1075,5 +1075,5 @@
 	 * @since BuddyPress (1.7.0)
 	 */
-	function prepare_items() {
+	public function prepare_items() {
 		global $groups_template;
 
@@ -1182,5 +1182,5 @@
 	 * @return array Array of column headers.
 	 */
-	function get_column_info() {
+	public function get_column_info() {
 		$this->_column_headers = array(
 			$this->get_columns(),
@@ -1197,5 +1197,5 @@
 	 * @since BuddyPress (1.7.0)
 	 */
-	function no_items() {
+	public function no_items() {
 		_e( 'No groups found.', 'buddypress' );
 	}
@@ -1206,5 +1206,5 @@
 	 * @since BuddyPress (1.7.0)
 	*/
-	function display() {
+	public function display() {
 		extract( $this->_args );
 
@@ -1240,5 +1240,5 @@
 	 * @param object $item The current group item in the loop.
 	 */
-	function single_row( $item = array() ) {
+	public function single_row( $item = array() ) {
 		static $even = false;
 
@@ -1266,5 +1266,5 @@
 	 * @since BuddyPress (1.7.0)
 	 */
-	function get_views() {
+	public function get_views() {
 		$url_base = bp_get_admin_url( 'admin.php?page=bp-groups' ); ?>
 
@@ -1287,5 +1287,5 @@
 	 * @return array Key/value pairs for the bulk actions dropdown.
 	 */
-	function get_bulk_actions() {
+	public function get_bulk_actions() {
 		return apply_filters( 'bp_groups_list_table_get_bulk_actions', array(
 			'delete' => __( 'Delete', 'buddypress' )
@@ -1302,5 +1302,5 @@
 	 * @return array Array of column titles.
 	 */
-	function get_columns() {
+	public function get_columns() {
 		return apply_filters( 'bp_groups_list_table_get_columns', array(
 			'cb'          => '<input name type="checkbox" />',
@@ -1329,5 +1329,5 @@
 	 * @return array Array of sortable column names.
 	 */
-	function get_sortable_columns() {
+	public function get_sortable_columns() {
 		return array(
 			'gid'         => array( 'gid', false ),
@@ -1347,5 +1347,5 @@
 	 * @param array $item A singular item (one full row).
 	 */
-	function column_cb( $item = array() ) {
+	public function column_cb( $item = array() ) {
 		printf( '<label class="screen-reader-text" for="gid-%1$d">' . __( 'Select group %1$d', 'buddypress' ) . '</label><input type="checkbox" name="gid[]" value="%1$d" id="gid-%1$d" />', $item['id'] );
 	}
@@ -1360,6 +1360,6 @@
 	 * @param array $item A singular item (one full row).
 	 */
-	function column_gid( $item = array() ) {
-		echo '<strong>' . $item['id'] . '</strong>';
+	public function column_gid( $item = array() ) {
+		echo '<strong>' . absint( $item['id'] ) . '</strong>';
 	}
 
@@ -1375,5 +1375,5 @@
 	 * @param array $item A singular item (one full row).
 	 */
-	function column_comment( $item = array() ) {
+	public function column_comment( $item = array() ) {
 
 		// Preorder items: Edit | Delete | View
@@ -1392,4 +1392,5 @@
 		$edit_url   = $base_url . '&amp;action=edit';
 		$view_url   = bp_get_group_permalink( $item_obj );
+		$group_name = apply_filters_ref_array( 'bp_get_group_name', array( $item['name'] ), $item );
 
 		// Rollover actions
@@ -1413,11 +1414,11 @@
 			'type'       => 'thumb',
 			'avatar_dir' => 'group-avatars',
-			'alt'        => sprintf( __( 'Group logo of %s', 'buddypress' ), $item['name'] ),
+			'alt'        => sprintf( __( 'Group logo of %s', 'buddypress' ), $group_name ),
 			'width'      => '32',
 			'height'     => '32',
-			'title'      => $item['name']
+			'title'      => $group_name
 		) );
 
-		$content = apply_filters_ref_array( 'bp_get_group_name', array( sprintf( '<strong><a href="%s">%s</a></strong>', esc_url( $edit_url ), $item['name'] ), $item ) );
+		$content = sprintf( '<strong><a href="%s">%s</a></strong>', esc_url( $edit_url ), $group_name );
 
 		echo $avatar . ' ' . $content . ' ' . $this->row_actions( $actions );
@@ -1431,5 +1432,5 @@
 	 * @param array Information about the current row.
 	 */
-	function column_description( $item = array() ) {
+	public function column_description( $item = array() ) {
 		echo apply_filters_ref_array( 'bp_get_group_description', array( $item['description'], $item ) );
 	}
@@ -1442,5 +1443,5 @@
 	 * @param array Information about the current row.
 	 */
-	function column_status( $item = array() ) {
+	public function column_status( $item = array() ) {
 		$status      = $item['status'];
 		$status_desc = '';
@@ -1470,5 +1471,5 @@
 	 * @param array Information about the current row.
 	 */
-	function column_members( $item = array() ) {
+	public function column_members( $item = array() ) {
 		$count = groups_get_groupmeta( $item['id'], 'total_member_count' );
 		echo apply_filters_ref_array( 'bp_groups_admin_get_group_member_count', array( (int) $count, $item ) );
@@ -1482,5 +1483,5 @@
 	 * @param array Information about the current row.
 	 */
-	function column_last_active( $item = array() ) {
+	public function column_last_active( $item = array() ) {
 		$last_active = groups_get_groupmeta( $item['id'], 'last_activity' );
 		echo apply_filters_ref_array( 'bp_groups_admin_get_group_last_active', array( $last_active, $item ) );
@@ -1495,5 +1496,5 @@
 	 * @param string the column name.
 	 */
-	function column_default( $item = array(), $column_name = '' ) {
+	public function column_default( $item = array(), $column_name = '' ) {
 		return apply_filters( 'bp_groups_admin_get_group_custom_column', '', $column_name, $item );
 	}