Index: /trunk/src/bp-core/bp-core-buddybar.php
===================================================================
--- /trunk/src/bp-core/bp-core-buddybar.php	(revision 9130)
+++ /trunk/src/bp-core/bp-core-buddybar.php	(revision 9131)
@@ -254,4 +254,7 @@
  *     @type string $link Optional. The URL that the subnav item should point
  *           to. Defaults to a value generated from the $parent_url + $slug.
+ *     @type bool $show_in_admin_bar Optional. Whether the nav item should be
+ *           added into the group's "Edit" Admin Bar menu for group admins.
+ *           Default: false.
  * }
  * @return bool|null Returns false on failure.
@@ -261,15 +264,16 @@
 
 	$r = wp_parse_args( $args, array(
-		'name'            => false, // Display name for the nav item
-		'slug'            => false, // URL slug for the nav item
-		'parent_slug'     => false, // URL slug of the parent nav item
-		'parent_url'      => false, // URL of the parent item
-		'item_css_id'     => false, // The CSS ID to apply to the HTML of the nav item
-		'user_has_access' => true,  // Can the logged in user see this nav item?
-		'no_access_url'   => '',
-		'site_admin_only' => false, // Can only site admins see this nav item?
-		'position'        => 90,    // Index of where this nav item should be positioned
-		'screen_function' => false, // The name of the function to run when clicked
-		'link'            => ''     // The link for the subnav item; optional, not usually required.
+		'name'              => false, // Display name for the nav item
+		'slug'              => false, // URL slug for the nav item
+		'parent_slug'       => false, // URL slug of the parent nav item
+		'parent_url'        => false, // URL of the parent item
+		'item_css_id'       => false, // The CSS ID to apply to the HTML of the nav item
+		'user_has_access'   => true,  // Can the logged in user see this nav item?
+		'no_access_url'     => '',
+		'site_admin_only'   => false, // Can only site admins see this nav item?
+		'position'          => 90,    // Index of where this nav item should be positioned
+		'screen_function'   => false, // The name of the function to run when clicked
+		'link'              => '',    // The link for the subnav item; optional, not usually required.
+		'show_in_admin_bar' => false, // Show the Manage link in the current group's "Edit" Admin Bar menu
 	) );
 
@@ -298,13 +302,15 @@
 
 	$subnav_item = array(
-		'name'            => $name,
-		'link'            => trailingslashit( $link ),
-		'slug'            => $slug,
-		'css_id'          => $item_css_id,
-		'position'        => $position,
-		'user_has_access' => $user_has_access,
-		'no_access_url'   => $no_access_url,
-		'screen_function' => &$screen_function
+		'name'              => $name,
+		'link'              => trailingslashit( $link ),
+		'slug'              => $slug,
+		'css_id'            => $item_css_id,
+		'position'          => $position,
+		'user_has_access'   => $user_has_access,
+		'no_access_url'     => $no_access_url,
+		'screen_function'   => &$screen_function,
+		'show_in_admin_bar' => (bool) $r['show_in_admin_bar'],
 	);
+
 	$bp->bp_options_nav[$parent_slug][$slug] = $subnav_item;
 
Index: /trunk/src/bp-groups/bp-groups-adminbar.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-adminbar.php	(revision 9130)
+++ /trunk/src/bp-groups/bp-groups-adminbar.php	(revision 9131)
@@ -24,13 +24,16 @@
  */
 function bp_groups_group_admin_menu() {
-	global $wp_admin_bar, $bp;
+	global $wp_admin_bar;
+	$bp = buddypress();
 
 	// Only show if viewing a group
-	if ( !bp_is_group() )
+	if ( ! bp_is_group() || bp_is_group_create() ) {
 		return false;
+	}
 
 	// Only show this menu to group admins and super admins
-	if ( !bp_current_user_can( 'bp_moderate' ) && !bp_group_is_admin() )
+	if ( ! bp_current_user_can( 'bp_moderate' ) && ! bp_group_is_admin() ) {
 		return false;
+	}
 
 	// Unique ID for the 'Edit Group' menu
@@ -44,65 +47,37 @@
 	) );
 
-	// Group Admin > Edit details
-	$wp_admin_bar->add_menu( array(
-		'parent' => $bp->group_admin_menu_id,
-		'id'     => 'edit-details',
-		'title'  => __( 'Edit Details', 'buddypress' ),
-		'href'   =>  bp_get_groups_action_link( 'admin/edit-details' )
-	) );
+	// Index of the Manage tabs parent slug
+	$nav_index = $bp->groups->current_group->slug . '_manage';
 
-	// Group Admin > Group settings
-	$wp_admin_bar->add_menu( array(
-		'parent' => $bp->group_admin_menu_id,
-		'id'     => 'group-settings',
-		'title'  => __( 'Edit Settings', 'buddypress' ),
-		'href'   =>  bp_get_groups_action_link( 'admin/group-settings' )
-	) );
-
-	// Group Admin > Group avatar
-	if ( !(int)bp_get_option( 'bp-disable-avatar-uploads' ) && $bp->avatar->show_avatars ) {
-		$wp_admin_bar->add_menu( array(
-			'parent' => $bp->group_admin_menu_id,
-			'id'     => 'group-avatar',
-			'title'  => __( 'Edit Profile Photo', 'buddypress' ),
-			'href'   =>  bp_get_groups_action_link( 'admin/group-avatar' )
-		) );
+	// Check if current group has Manage tabs
+	if ( empty( $bp->bp_options_nav[ $nav_index ] ) ) {
+		return;
 	}
 
-	// Group Admin > Manage invitations
-	if ( bp_is_active( 'friends' ) ) {
-		$wp_admin_bar->add_menu( array(
-			'parent' => $bp->group_admin_menu_id,
-			'id'     => 'manage-invitations',
-			'title'  => __( 'Manage Invitations', 'buddypress' ),
-			'href'   =>  bp_get_groups_action_link( 'send-invites' )
-		) );
+	// Build the Group Admin menus
+	foreach ( $bp->bp_options_nav[ $nav_index ] as $menu ) {
+		/**
+		 * Should we add the current manage link in the Group's "Edit" Admin Bar menu ?
+		 *
+		 * All core items will be added, plugins can use a new parameter in the BP Group Extension API
+		 * to also add the link to the "edit screen" of their group component. To do so, set the
+		 * the 'show_in_admin_bar' argument of your edit screen to true
+		 */
+		if ( $menu['show_in_admin_bar'] ) {
+			$title = sprintf( _x( 'Edit Group %s', 'Group WP Admin Bar manage links', 'buddypress' ), $menu['name'] );
+
+			// Title is specific for delete
+			if ( 'delete-group' == $menu['slug'] ) {
+				$title = sprintf( _x( '%s Group', 'Group WP Admin Bar delete link', 'buddypress' ), $menu['name'] );
+			}
+
+			$wp_admin_bar->add_menu( array(
+				'parent' => $bp->group_admin_menu_id,
+				'id'     => $menu['slug'],
+				'title'  => $title,
+				'href'   => bp_get_groups_action_link( 'admin/' . $menu['slug'] )
+			) );
+		}
 	}
-
-	// Group Admin > Manage members
-	$wp_admin_bar->add_menu( array(
-		'parent' => $bp->group_admin_menu_id,
-		'id'     => 'manage-members',
-		'title'  => __( 'Manage Members', 'buddypress' ),
-		'href'   =>  bp_get_groups_action_link( 'admin/manage-members' )
-	) );
-
-	// Group Admin > Membership Requests
-	if ( bp_get_group_status( $bp->groups->current_group ) == 'private' ) {
-		$wp_admin_bar->add_menu( array(
-			'parent' => $bp->group_admin_menu_id,
-			'id'     => 'membership-requests',
-			'title'  => __( 'Membership Requests', 'buddypress' ),
-			'href'   =>  bp_get_groups_action_link( 'admin/membership-requests' )
-		) );
-	}
-
-	// Delete Group
-	$wp_admin_bar->add_menu( array(
-		'parent' => $bp->group_admin_menu_id,
-		'id'     => 'delete-group',
-		'title'  => __( 'Delete Group', 'buddypress' ),
-		'href'   =>  bp_get_groups_action_link( 'admin/delete-group' )
-	) );
 }
 add_action( 'admin_bar_menu', 'bp_groups_group_admin_menu', 99 );
Index: /trunk/src/bp-groups/bp-groups-classes.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-classes.php	(revision 9130)
+++ /trunk/src/bp-groups/bp-groups-classes.php	(revision 9131)
@@ -3668,6 +3668,5 @@
 		$admin_link = trailingslashit( bp_get_group_permalink( $current_group ) . 'admin' );
 
-		// Add the tab to the manage navigation
-		bp_core_new_subnav_item( array(
+		$subnav_args = array(
 			'name'            => $screen['name'],
 			'slug'            => $screen['slug'],
@@ -3677,5 +3676,13 @@
 			'position'        => $position,
 			'screen_function' => 'groups_screen_group_admin',
-		) );
+		);
+
+		// Should we add a menu to the Group's WP Admin Bar
+		if ( ! empty( $screen['show_in_admin_bar'] ) ) {
+			$subnav_args['show_in_admin_bar'] = true;
+		}
+
+		// Add the tab to the manage navigation
+		bp_core_new_subnav_item( $subnav_args );
 
 		// Catch the edit screen and forward it to the plugin template
Index: /trunk/src/bp-groups/bp-groups-loader.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-loader.php	(revision 9130)
+++ /trunk/src/bp-groups/bp-groups-loader.php	(revision 9131)
@@ -508,16 +508,14 @@
 					'no_access_url'   => $group_link,
 				);
-			}
-
-			// If viewing an admin page, create the group admin subnav items
-			if ( bp_is_group_admin_page() ) {
+
 				$admin_link = trailingslashit( $group_link . 'admin' );
 
 				// Common params to all nav items
 				$default_params = array(
-					'parent_url'      => $admin_link,
-					'parent_slug'     => $this->current_group->slug . '_manage',
-					'screen_function' => 'groups_screen_group_admin',
-					'user_has_access' => bp_is_item_admin(),
+					'parent_url'        => $admin_link,
+					'parent_slug'       => $this->current_group->slug . '_manage',
+					'screen_function'   => 'groups_screen_group_admin',
+					'user_has_access'   => bp_is_item_admin(),
+					'show_in_admin_bar' => true,
 				);
 